package com.ghy.order.mapper;

import com.ghy.order.domain.OrderDetail;

import java.util.List;

/**
 * 细单表(转派后产生的订单)的mapper层
 *
 * @author HH 2022/4/25
 */
public interface OrderDetailMapper {

    /**
     * @param orderDetail 细单表属性
     * @return 成功条数
     */
    int insertOrderDetail(OrderDetail orderDetail);

    /**
     * @param orderDetail 细单表属性
     * @return 成功条数
     */
    int updateOrderDetail(OrderDetail orderDetail);

    /**
     * @param orderDetail 细单表入参
     * @return 细单表集合
     */
    List<OrderDetail> selectOrderDetailList(OrderDetail orderDetail);

    /**
     * @param orderDetailId 细单表id
     * @return 细单表
     */
    OrderDetail selectById(Long orderDetailId);

    /**
     * 批量删除细单表信息
     *
     * @param orderDetailIds 需要删除的数据ID
     * @return 结果
     */
    int deleteOrderDetailByIds(Long[] orderDetailIds);

    /**
     * @param orderDetailCode 细单表编码
     * @return 细单表信息
     */
    OrderDetail checkOrderDetailCodeUnique(String orderDetailCode);
}
